# This is the configuration file for vt-ldap.
# See http://code.google.com/p/vt-middleware/wiki/vtldapProperties

edu.vt.middleware.ldap.ldapUrl=ldap://***********:389
edu.vt.middleware.ldap.searchScope=SUBTREE

# authn if simple
edu.vt.middleware.ldap.bindDn=CN=***********
edu.vt.middleware.ldap.bindCredential=*************

# The bind credential may be external and encrypted: https://bugs.internet2.edu/jira/browse/GRP-122
# edu.vt.middleware.ldap.bindCredential=/path/to/ldap.pwd
edu.vt.middleware.ldap.authtype=simple

# encryption
edu.vt.middleware.ldap.ssl=false
edu.vt.middleware.ldap.tls=false

# pooling options
edu.vt.middleware.ldap.pool.minPoolSize = 2
edu.vt.middleware.ldap.pool.maxPoolSize = 5

# paged results
edu.vt.middleware.ldap.pagedResultsSize=0

# authn for sasl external (certificates)
# edu.vt.middleware.ldap.authtype=EXTERNAL
# edu.vt.middleware.ldap.tls=true
# edu.vt.middleware.ldap.serviceUser=cn=admin.example.edu
# these to use PEM format cert and key
# pemCaFile=/path/to/ca.pem
# pemCertFile=/path/to/cert.pem
# pemKeyFile=/path/to/key.pem


# The default base DN for searches.
# All subordinate objects will be deleted during tests !
edu.vt.middleware.ldap.baseDn=dc=testcampus,dc=ncl,dc=ac,dc=uk

# The base DN for groups.
edu.internet2.middleware.psp.groupsBaseDn=OU=Applications,OU=GrouperGroups,OU=Campus Administration,DC=testcampus,DC=ncl,DC=ac,DC=uk

# The base DN for people.
edu.internet2.middleware.psp.peopleBaseDn=OU=Campus Users,DC=testcampus,DC=ncl,DC=ac,DC=uk

# The group object class.
# OpenLDAP, RedHat, 389, ApacheDS, etc.
# edu.internet2.middleware.psp.groupObjectClass=groupOfNames
# Active Directory
edu.internet2.middleware.psp.groupObjectClass=group

# The base Grouper stem to be provisioned.
edu.internet2.middleware.psp.baseStem=Applications

# The ldap DN structure may be either flat or bushy.
# In a flat structure all groups are provisioned under a single base DN (container ID).
# A flat group's ldap RDN is its Grouper name or displayName.
# edu.internet2.middleware.psp.structure=flat
# edu.internet2.middleware.psp.cnSourceAttributeID=name

# In a bushy structure groups are provisioned hierarchically, with stems as branches in the tree.
# A bushy group's RDN is its Grouper extension or displayExtension.
edu.internet2.middleware.psp.structure=bushy
edu.internet2.middleware.psp.cnSourceAttributeID=extension

# The QuotedDnResultHandler removes quotes from DNs of the form "CN=quoted/name",DC=edu.
# The FqdnSearchResultHandler makes sure that all ldap dns are fully qualified.
# You may wish to comment out the following property for the Grouper UI or WS.
edu.vt.middleware.ldap.searchResultHandlers=edu.internet2.middleware.psp.ldap.QuotedDnResultHandler,edu.vt.middleware.ldap.handler.FqdnSearchResultHandler

# handle Active Directory groups with a large (>1500) number of members
# see https://bugs.internet2.edu/jira/browse/GRP-335
# see http://code.google.com/p/vt-middleware/wiki/vtldapAD#Range_Attributes
# edu.vt.middleware.ldap.searchResultHandlers=edu.internet2.middleware.ldappc.util.QuotedDnResultHandler,edu.vt.middleware.ldap.handler.FqdnSearchResultHandler,edu.internet2.middleware.ldappc.util.RangeSearchResultHandler
